Skip to main content
`Ctrl`+`K`

# DMPlexCreateEdgeNumbering

Create a global numbering for edges.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateEdgeNumbering(DM dm, IS *globalEdgeNumbers)

Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- globalEdgeNumbers - Global numbers for all edges on this process

## Notes

The point numbering `IS` is parallel, with local portion indexed by local points (see `DMGetLocalSection()`). In the IS, owned edges will have their non-negative value while edges owned by different ranks will be involuted -(idx+1).

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetCellNumbering()`, `DMPlexGetVertexNumbering()`, `DMPlexCreatePointNumbering()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages